summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAaron Hay <ah415j@att.com>2018-05-25 14:58:32 -0400
committerAaron Hay <ah415j@att.com>2018-06-20 10:41:48 -0400
commit1d464b57ba669528f481ca5aec94720470223b73 (patch)
treeb227837f1cb1722d160ad6284a7a131edbea054d
parent8494df099dd5bb21519c9cfeaa4730cb5a94e3ef (diff)
Create readiness health check for readiness probe
New health_check.sh added that allows the readiness probe configured in statefulset.yaml to succeed Change-Id: I3b619dfc84926bc27381c0b932971b41b12e4269 Issue-ID: OOM-1109 Signed-off-by: Aaron Hay <ah415j@att.com>
-rwxr-xr-xkubernetes/appc/resources/config/appc/opt/onap/appc/bin/health_check.sh15
-rw-r--r--kubernetes/appc/templates/statefulset.yaml8
2 files changed, 21 insertions, 2 deletions
diff --git a/kubernetes/appc/resources/config/appc/opt/onap/appc/bin/health_check.sh b/kubernetes/appc/resources/config/appc/opt/onap/appc/bin/health_check.sh
new file mode 100755
index 0000000000..544358c1af
--- /dev/null
+++ b/kubernetes/appc/resources/config/appc/opt/onap/appc/bin/health_check.sh
@@ -0,0 +1,15 @@
+#!/bin/bash -x
+
+startODL_status=$(ps -e | grep startODL | wc -l)
+waiting_bundles=$(/opt/opendaylight/current/bin/client bundle:list | grep Waiting | wc -l)
+run_level=$(/opt/opendaylight/current/bin/client system:start-level)
+
+ if [ "$run_level" == "Level 100" ] && [ "$startODL_status" -lt "1" ] && [ "$waiting_bundles" -lt "1" ]
+ then
+ echo APPC is healthy.
+ else
+ echo APPC is not healthy.
+ exit 1
+ fi
+
+exit 0
diff --git a/kubernetes/appc/templates/statefulset.yaml b/kubernetes/appc/templates/statefulset.yaml
index d2da2ec756..f4409697b3 100644
--- a/kubernetes/appc/templates/statefulset.yaml
+++ b/kubernetes/appc/templates/statefulset.yaml
@@ -45,8 +45,9 @@ spec:
- containerPort: {{ .Values.service.internalPort }}
- containerPort: {{ .Values.service.externalPort2 }}
readinessProbe:
- tcpSocket:
- port: {{ .Values.service.internalPort }}
+ exec:
+ command:
+ - /opt/appc/bin/health_check.sh
initialDelaySeconds: {{ .Values.readiness.initialDelaySeconds }}
periodSeconds: {{ .Values.readiness.periodSeconds }}
env:
@@ -93,6 +94,9 @@ spec:
- mountPath: /opt/onap/appc/bin/installAppcDb.sh
name: onap-appc-bin
subPath: installAppcDb.sh
+ - mountPath: /opt/onap/appc/bin/health_check.sh
+ name: onap-appc-bin
+ subPath: health_check.sh
- mountPath: /opt/onap/ccsdk/data/properties/dblib.properties
name: onap-sdnc-data-properties
subPath: dblib.properties